      subroutine ecri(mat,long,ifil)
      dimension mat(long)
c      if(ifil.eq.77) then
c         write(6,*)'ecri long,ifil',long,ifil
c         print'(10i8)',(mat(k),k=1,min(10,long))
c      endif
c      print*,'mat',mat
      write(ifil) mat
      return
      end
       subroutine ecrc(c,long,ifil)
      character*1 c(long)
c     write(6,*)'ecri long,ifil',long,ifil
      write(ifil) c
      return
      end
